Debian Bug report logs - #237296
xscreensaver: wrong locale used when printing fortunes

version graph

Package: xscreensaver; Maintainer for xscreensaver is Tormod Volden <debian.tormod@gmail.com>; Source for xscreensaver is src:xscreensaver.

Reported by: Alastair McKinstry <mckinstry@debian.org>

Date: Wed, 10 Mar 2004 22:03:01 UTC

Severity: minor

Tags: confirmed

Merged with 244260, 382109

Found in version 4.15-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Karl Ramm <kcr@debian.org>:
Bug#237296; Package xscreensaver. Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@debian.org>:
New Bug report received and forwarded. Copy sent to Karl Ramm <kcr@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xscreensaver: wrong locale used when printing fortunes
Date: Wed, 10 Mar 2004 21:54:54 +0000
Package: xscreensaver
Version: 4.15-1
Severity: normal


fortune output is printed incorrectly if in UTF-8.
e.g. run a fortune (fortunes-ga) in ga_IE.UTF-8; on the command-line,
etc this works fine, but when displayed in xscreensaver, 
you see mojibake, where the accented characters are incorrectly 
'converted' to something else.



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.0-1-686
Locale: LANG=ga_IE.UTF-8, LC_CTYPE=ga_IE.UTF-8 (ignored: LC_ALL set to ga_IE.UTF-8)

Versions of packages xscreensaver depends on:
ii  libatk1.0-0                 1.4.1-1      The ATK accessibility toolkit
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an
ii  libglade2-0                 2.0.1-6      Library to load .glade files at ru
ii  libglib2.0-0                2.2.3-1      The GLib library of C routines
ii  libgtk2.0-0                 2.2.4-3      The GTK+ graphical user interface 
ii  libice6                     4.3.0-5      Inter-Client Exchange library
ii  libjpeg62                   6b-9         The Independent JPEG Group's JPEG 
ii  libpam0g                    0.76-15      Pluggable Authentication Modules l
ii  libpango1.0-0               1.2.5-2.1    Layout and rendering of internatio
ii  libsm6                      4.3.0-5      X Window System Session Management
ii  libx11-6                    4.3.0-5      X Window System protocol client li
ii  libxext6                    4.3.0-5      X Window System miscellaneous exte
ii  libxml2                     2.6.6-1      GNOME XML library
ii  libxmu6                     4.3.0-5      X Window System miscellaneous util
ii  libxt6                      4.3.0-5      X Toolkit Intrinsics
ii  xlibs                       4.3.0-5      X Window System client libraries m
ii  zlib1g                      1:1.2.1-4    compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Karl Ramm <kcr@debian.org>:
Bug#237296; Package xscreensaver. Full text and rfc822 format available.

Acknowledgement sent to Kilian Krause <kk@verfaction.de>:
Extra info received and forwarded to list. Copy sent to Karl Ramm <kcr@debian.org>. Full text and rfc822 format available.

Message #10 received at 237296@bugs.debian.org (full text, mbox):

From: Kilian Krause <kk@verfaction.de>
To: 237296@bugs.debian.org
Subject: UTF8 is correct, but xscreensaver input takes ISO8859
Date: Sat, 07 Aug 2004 22:29:26 +0200
[Message part 1 (text/plain, inline)]
Hi,

i had the same problem in some of the xscreensaver modules. Yet the UTF8
problem is not within fortunes, but within the processing of
xscreensaver. When putting "/usr/games/fortune |iconv -f utf8 -t
iso8859-1" as input program it works seamlessly. So aparently
xscreensaver isn't UTF8 aware yet.

-- 
Best regards,
 Kilian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Karl Ramm <kcr@debian.org>:
Bug#237296; Package xscreensaver. Full text and rfc822 format available.

Acknowledgement sent to Jamie Zawinski <jwz@jwz.org>:
Extra info received and forwarded to list. Copy sent to Karl Ramm <kcr@debian.org>. Full text and rfc822 format available.

Message #15 received at 237296@bugs.debian.org (full text, mbox):

From: Jamie Zawinski <jwz@jwz.org>
To: Kilian Krause <kk@verfaction.de>, 237296@bugs.debian.org
Subject: Re: Bug#237296: UTF8 is correct, but xscreensaver input takes ISO8859
Date: Sat, 07 Aug 2004 14:13:33 -0700
I have zero interest in fixing this, so if you wait for me to fix it,
you will be waiting forever.

I gladly accept patches, however.

-- 
Jamie Zawinski
jwz@jwz.org             http://www.jwz.org/
jwz@dnalounge.com       http://www.dnalounge.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Karl Ramm <kcr@debian.org>:
Bug#237296; Package xscreensaver. Full text and rfc822 format available.

Acknowledgement sent to Kilian Krause <kk@verfaction.de>:
Extra info received and forwarded to list. Copy sent to Karl Ramm <kcr@debian.org>. Full text and rfc822 format available.

Message #20 received at 237296@bugs.debian.org (full text, mbox):

From: Kilian Krause <kk@verfaction.de>
To: Jamie Zawinski <jwz@jwz.org>
Cc: 237296@bugs.debian.org
Subject: Re: Bug#237296: UTF8 is correct, but xscreensaver input takes ISO8859
Date: Sat, 07 Aug 2004 23:13:35 +0200
[Message part 1 (text/plain, inline)]
Hi Jamie,

Am Sa, den 07.08.2004 schrieb Jamie Zawinski um 23:13:
> I have zero interest in fixing this, so if you wait for me to fix it,
> you will be waiting forever.
> 
> I gladly accept patches, however.

have you tried simply putting this on the upstream bug-tracker? sounds
not like a packaging bug, but like an upstream one.

-- 
Best regards,
 Kilian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Karl Ramm <kcr@debian.org>:
Bug#237296; Package xscreensaver. Full text and rfc822 format available.

Acknowledgement sent to Jamie Zawinski <jwz@jwz.org>:
Extra info received and forwarded to list. Copy sent to Karl Ramm <kcr@debian.org>. Full text and rfc822 format available.

Message #25 received at 237296@bugs.debian.org (full text, mbox):

From: Jamie Zawinski <jwz@jwz.org>
To: Kilian Krause <kk@verfaction.de>, 237296@bugs.debian.org
Subject: Re: Bug#237296: UTF8 is correct, but xscreensaver input takes ISO8859
Date: Sat, 07 Aug 2004 14:46:39 -0700
Uh, what?



Information forwarded to debian-bugs-dist@lists.debian.org, Karl Ramm <kcr@debian.org>:
Bug#237296; Package xscreensaver. Full text and rfc822 format available.

Acknowledgement sent to kcr@debian.org:
Extra info received and forwarded to list. Copy sent to Karl Ramm <kcr@debian.org>. Full text and rfc822 format available.

Message #30 received at 237296@bugs.debian.org (full text, mbox):

From: kcr@debian.org
To: Kilian Krause <kk@verfaction.de>
Cc: 237296@bugs.debian.org, Jamie Zawinski <jwz@jwz.org>
Subject: Re: Bug#237296: UTF8 is correct, but xscreensaver input takes ISO8859
Date: 09 Aug 2004 10:56:24 -0400
I think you'll find that Mr. Zawinski *is* the upstream developer.  I have to say
that I don't feel the need to put that much effort in to fix this either,
although sticking an iconv on the command line would seem to be relatively
low-hanging fruit.  If Mr. Zawinski doesn't do that in future releases, I
might for Debian.

kcr



Information forwarded to debian-bugs-dist@lists.debian.org, Karl Ramm <kcr@debian.org>:
Bug#237296; Package xscreensaver. Full text and rfc822 format available.

Acknowledgement sent to Kilian Krause <kk@verfaction.de>:
Extra info received and forwarded to list. Copy sent to Karl Ramm <kcr@debian.org>. Full text and rfc822 format available.

Message #35 received at 237296@bugs.debian.org (full text, mbox):

From: Kilian Krause <kk@verfaction.de>
To: 237296@bugs.debian.org
Subject: Re: Bug#237296: UTF8 is correct, but xscreensaver input takes ISO8859
Date: Mon, 09 Aug 2004 17:00:15 +0200
[Message part 1 (text/plain, inline)]
Hi kcr,

well, you might also simply want to remove the LC_ALL and LANG
environment before calling the fortunes binary. That way it'll produce
the ISO8859 output xscreensaver expects.

Am Mo, den 09.08.2004 schrieb kcr@debian.org um 16:56:
> I think you'll find that Mr. Zawinski *is* the upstream developer.  I have to say
> that I don't feel the need to put that much effort in to fix this either,
> although sticking an iconv on the command line would seem to be relatively
> low-hanging fruit.  If Mr. Zawinski doesn't do that in future releases, I
> might for Debian.
> 
> kcr

-- 
Best regards,
 Kilian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Karl Ramm <kcr@debian.org>:
Bug#237296; Package xscreensaver. Full text and rfc822 format available.

Acknowledgement sent to Kilian Krause <kk@verfaction.de>:
Extra info received and forwarded to list. Copy sent to Karl Ramm <kcr@debian.org>. Full text and rfc822 format available.

Message #40 received at 237296@bugs.debian.org (full text, mbox):

From: Kilian Krause <kk@verfaction.de>
To: 237296@bugs.debian.org
Subject: Re: Bug#237296: UTF8 is correct, but xscreensaver input takes ISO8859
Date: Mon, 09 Aug 2004 17:05:51 +0200
[Message part 1 (text/plain, inline)]
Hi kcr,

actually thinking twice, removing the LANG and LC_ALL is *BAD*.. Yet
only stripping any .UTF8 from it sounds like a better idea. Fortunes is
using the env to provide localized fortune cookies. So stripping lang
would result in having always english-only fortunes.

-- 
Best regards,
 Kilian
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alastair McKinstry <mckinstry@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 237296-done@bugs.debian.org (full text, mbox):

From: Ralf Hildebrandt <Ralf.Hildebrandt@charite.de>
To: 237296-done@bugs.debian.org, 237661-done@bugs.debian.org, 240292-done@bugs.debian.org, 243041-done@bugs.debian.org, 85738-done@bugs.debian.org, 104233-done@bugs.debian.org, 165834-done@bugs.debian.org, 191242-done@bugs.debian.org, 191530-done@bugs.debian.org, 199527-done@bugs.debian.org, 220204-done@bugs.debian.org, 222734-done@bugs.debian.org, 235852-done@bugs.debian.org, 236874-done@bugs.debian.org, 242784-done@bugs.debian.org, 244260-done@bugs.debian.org
Subject: Check if the bug persists in the new version
Date: Sun, 13 Mar 2005 12:46:24 +0100
Current are 3.34 and/or 4.16, and since you filed the bug against an
older version I'd like to ask you to verify if the bug persists in the
new version as well.




Bug reopened, originator not changed. Request was from steve@blckknght.org (Steven Barker) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ralf Hildebrandt <ralf.hildebrandt@charite.de>:
Bug#237296; Package xscreensaver. Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Rivas Contreras <ghostbar38@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ralf Hildebrandt <ralf.hildebrandt@charite.de>. Full text and rfc822 format available.

Message #52 received at 237296@bugs.debian.org (full text, mbox):

From: Jose Luis Rivas Contreras <ghostbar38@gmail.com>
To: 237296@bugs.debian.org, 237296-submitter@bugs.debian.org
Subject: xscreensaver: wrong locale used when printing fortunes (Ping!)
Date: Fri, 13 Jul 2007 17:32:03 -0400
[Message part 1 (text/plain, inline)]
Hi,

This bug still persists? I have tested it and I cannot reproduce it, if
you can reproduce it please answer this mail and I will investigate
further. If not then please answer me allowing to close this bug.

Regards,
Jose Luis.
-- 

ghostbar on Linux/Debian 'sid' x86-64 - #382503
Weblog: http://ghostbar.ath.cx/ - http://linuxtachira.org
http://debian.org.ve - irc.debian.org #debian-ve #debian-devel-es
San Cristóbal, Venezuela. http://chaslug.org.ve
Fingerprint = 3E7D 4267 AFD5 2407 2A37  20AC 38A0 AD5B CACA B118

[signature.asc (application/pgp-signature, attachment)]

Message sent on to Alastair McKinstry <mckinstry@debian.org>:
Bug#237296. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ralf Hildebrandt <ralf.hildebrandt@charite.de>:
Bug#237296; Package xscreensaver. Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Rivas Contreras <ghostbar38@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ralf Hildebrandt <ralf.hildebrandt@charite.de>. Full text and rfc822 format available.

Message #60 received at 237296@bugs.debian.org (full text, mbox):

From: Jose Luis Rivas Contreras <ghostbar38@gmail.com>
To: 244260@bugs.debian.org, 237296@bugs.debian.org
Cc: jwz@jwz.org
Subject: xscreensaver support for UTF-8
Date: Wed, 18 Jul 2007 21:26:37 -0400
[Message part 1 (text/plain, inline)]
package xscreensaver
merge 237296 244260
tags 244260 confirmed
quit

Hi,

I've found that this bug is related to the text box that xscreensaver
does have in the Advanced settings, I tested this with a RSS feed that
uses UTF-8 and all characters were properly printed by xscreensaver
(that's why I sent that was unreproducible in an email before).

Regards,
Jose Luis.
-- 

ghostbar on Linux/Debian 'sid' x86_64-SMP - #382503
Weblog: http://ghostbar.ath.cx/ - http://linuxtachira.org
http://debian.org.ve - irc.debian.org #debian-ve #debian-devel-es
San Cristóbal, Venezuela. http://chaslug.org.ve
Fingerprint = 3E7D 4267 AFD5 2407 2A37  20AC 38A0 AD5B CACA B118

[signature.asc (application/pgp-signature, attachment)]

Severity set to `minor' from `normal' Request was from Jose Luis Rivas Contreras <ghostbar38@gmail.com> to control@bugs.debian.org. (Thu, 19 Jul 2007 10:42:03 GMT) Full text and rfc822 format available.

Tags added: confirmed Request was from Jose Luis Rivas Contreras <ghostbar38@gmail.com> to control@bugs.debian.org. (Thu, 19 Jul 2007 10:42:03 GMT) Full text and rfc822 format available.

Merged 237296 244260 382109. Request was from Jose Luis Rivas Contreras <ghostbar38@gmail.com> to control@bugs.debian.org. (Sat, 21 Jul 2007 22:42:02 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Apr 2010 03:03:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:29:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.